Subject: bug#73718: 31.0.50; Severe performance issue with Tramp and project-mode-line-format

From: Juri Linkov <[email-masked]>
Date: Wed, 09 Oct 2024 19:10:20 +0300

>> I made a profile and it looks like there is some bad interaction between
>> project-mode-line and tramp names
>> I already tried:
>> (connection-local-set-profile-variables 'my-profile '((project-mode-line
>> . nil)))
>> (connection-local-set-profiles '(:application tramp :user "myuser") 'my-profile)
>> But is not disabling the modeline for remote files.
>
> I wonder if we'll need to disable project-mode-line in remote files
> altogether, or if this is a problem that could be solved in Tramp (with
> extra caching?)
>
> To use connect-local value to disable, BTW, it would need to have extra
> code called from the mode line format (in bindings.el). And it's a part
> that was added only recently, for in Emacs 30.

Or maybe better to cache the value of project-name on remove projects.